<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html lang="EN">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Manage your Products</title>
        <link href="${initParam.css}styles.css" rel="stylesheet" type="text/css">
        <script src="${initParam.js}funciones.js"  type="text/javascript"> </script>
    </head>
    <body>
        <div class="contenedor">
            <header><a href="#"><img src="${initParam.imagePath}banner.jpg" alt="Banner" title="Banner" width="960" height="134" id="banner" /></a>
                <div id="bar">
                    <nav>
                        <ul>
                            <li><a href="index">Index</a></li>
                            <li><a href="login">Login/Logout</a></li>
                            <li><a class="active" href="#">Register</a></li>
                            <li><a href="addProducts">AddProducts</a></li>
                            <li><a href="manageProducts">ManageProducts</a></li>
                            <li><a href="doOrder">Orders</a></li>
                        </ul>
                    </nav>
                </div>
            </header>
            <div class="barraLateral">
                <aside>
                    <p class="destaca">Partners</p>
                    <ul id="partners">
                        <li><a href="#"><img src="${initParam.imagePath}logo000webhost.png" alt="Logo 000" title="WebFileHosting000" width="150" height="44" id="logo000"  /></a></li>
                        <li><a href="#"><img src="${initParam.imagePath}Logowebestilo.gif" alt="Logo WebEstilo" title="Logo WebEstilo" width="150" height="44" id="logoEstilo"/></a></li>
                    </ul>
                </aside>
                <!-- end .barra1--></div>
            <article class="content">
                <h1>Join us</h1>
                <section>
                    <h2>Register form</h2>
                    <c:choose>
                        <c:when test="${empty sessionScope.login}">
                            <div class="marginl15"><p>Fill the next form to join us:</p>
                                <form action="fregister" method="POST" name="fregistro" onsubmit="return validarFormRegistro()">
                                    <table id="registroTable" title="registroTable">
                                        <tr>
                                            <td>Login:</td>
                                            <td><input name="login" title="login" type="text" maxlength="8" placeholder="3-8 charac AlfaNum"></td>
                                            <td>Password:</td>
                                            <td><input title="password" name="password" type="password" maxlength="20" placeholder="Min5 charac AlfaNum"></td>
                                        </tr>
                                        <tr>
                                            <td>Name:</td>
                                            <td><input name="nombre" title="nombre" maxlength="20" type="text" ></td>
                                            <td>Surname:</td>
                                            <td><input title="apellidos" name="apellidos" maxlength="50" type="text"></td>
                                        </tr>
                                        <tr>
                                            <td>Address</td>
                                            <td><input title="domicilio" name="domicilio" type="text" maxlength="100" id="domicilio"></td>
                                        </tr>
                                        <tr>
                                            <td>Email:</td>
                                            <td><input name="email" title="email" type="email" placeholder="some@dominio"></td>
                                            <td>Phone</td>
                                            <td><input title="telefono" name="telefono" type="text" placeholder="9 digits" maxlength="9"></td>
                                        </tr>
                                        <tr>
                                            <td><input title="enviar" type="submit" value="Send" ></td>
                                            <td><input type="reset" value="clear"></td>
                                        </tr>
                                    </table>
                                </form>
                             <c:if test="${!empty sessionScope.errorRegister}">
                                    <p>
                                        ${sessionScope.errorRegister}
                                    </p>
                                     <c:remove var="errorRegister"></c:remove>
                                </c:if>
                            </div>
                        </c:when>
                        <c:otherwise>
                            <div class="marginl15"><p>You are now looged, Do you want to logout?</p>
                                <form action="logout" method="POST" name="flogout">
                                    <table>
                                        <tr>
                                            <td><input type="submit" value="Logout"></td>
                                        </tr>
                                    </table>
                                </form>
                            </div>
                        </c:otherwise>
                    </c:choose>
                </section>
                <!-- end .content --></article>
            <footer>
                <address>
                    José Ángel García Fernández.<br>
                    Contact <a href="mailto:basic@gmail.com">basic@gmail.com</a>
                </address>
            </footer>
            <!-- end .contenedor --></div>
    </body>
</html>
