<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<!DOCTYPE HTML>
<html lang="EN">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Manage your Products</title>
        <link href="${initParam.css}styles.css" rel="stylesheet" type="text/css">
        <script src="${initParam.js}funciones.js"  type="text/javascript"> </script>
    </head>
    <body>
        <div class="contenedor">
            <header><a href="#"><img src="${initParam.imagePath}banner.jpg" alt="Banner" title="Banner" width="960" height="134" id="banner" /></a>
                <div id="bar">
                    <nav>
                        <ul>
                            <li><a href="index">Index</a></li>
                            <li><a href="login">Login/Logout</a></li>
                            <li><a href="register">Register</a></li>
                            <li><a class="active" href="#">AddProducts</a></li>
                            <li><a href="manageProducts">ManageProducts</a></li>
                            <li><a href="doOrder">Orders</a></li>
                        </ul>
                    </nav>
                </div>
            </header>
            <div class="barraLateral">
                <aside>
                    <p class="destaca">Partners</p>
                    <ul id="partners">
                        <li><a href="#"><img src="${initParam.imagePath}logo000webhost.png" alt="Logo 000" title="WebFileHosting000" width="150" height="44" id="logo000"  /></a></li>
                        <li><a href="#"><img src="${initParam.imagePath}Logowebestilo.gif" alt="Logo WebEstilo" title="Logo WebEstilo" width="150" height="44" id="logoEstilo"/></a></li>
                    </ul>
                </aside>
                <!-- end .barra1--></div>
            <article class="content">
                <h1>Add products</h1>
                <section>
                    <h2>Form to add products</h2>
                    <c:choose>
                        <c:when test="${!empty sessionScope.login}">
                            <div class="marginl15">
                                <p>Fill the next form to add products:</p>
                                <form action="faddProducts" method="POST" name="faddProducto" onsubmit="return validarFormAddProductos()">
                                    <table title="addProductoTable">
                                        <tr>
                                            <td>Type</td>
                                            <td><input name="tipo" title="tipo" type="text" maxlength="50"></td>
                                            <td>Kilos:</td>
                                            <td><input title="kilos" name="kilos" type="number" max="5000" min="1" step="1"></td>
                                        </tr>
                                        <tr>
                                            <td>Date pick:</td>
                                            <td><input name="fecha" title="fecha" maxlength="10" type="text" placeholder="YYYY-MM-DD"></td>
                                            <td>Quality:</td>
                                            <td><SELECT NAME="calidad">
                                                    <OPTION SELECTED>first
                                                    <OPTION>second
                                                </SELECT></td>
                                        </tr>
                                        <tr>
                                            <td>Price kilo:</td>
                                            <td><input title="precioKilo" name="precioKilo" type="text" maxlength="7" placeholder="xxx.xxx"></td>
                                             <td>Available:</td>
                                            <td><SELECT NAME="disponible">
                                                    <OPTION SELECTED>yes
                                                    <OPTION>no
                                                </SELECT></td>
                                        <tr>
                                            <td><input title="Send" type="submit" value="Send"></td>
                                            <td><input type="reset" value="Clear"></td>
                                        </tr>
                                    </table>
                                </form>
                            </div>
                        </c:when>
                        <c:otherwise>
                            <div class="marginl15"><p>You are not looged, you have to login to add products</p>
                                <p>  <a href="login" >Go login</a></p>
                            </div>
                        </c:otherwise>
                    </c:choose>
                </section>
                <!-- end .content --></article>
            <footer>
                <address>
                    José Ángel García Fernández.<br>
                    Contact <a href="mailto:basic@gmail.com">basic@gmail.com</a>
                </address>
            </footer>
            <!-- end .contenedor --></div>
    </body>
</html>
