<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@taglib prefix="sql" uri="http://java.sun.com/jsp/jstl/sql"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<!DOCTYPE HTML>
<html lang="EN">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>See the results of your order</title>
        <link href="${initParam.css}styles.css" rel="stylesheet" type="text/css">
        <script src="${initParam.js}funciones.js"  type="text/javascript"> </script>
    </head>
    <body>
        <div class="contenedor">
            <h1>Order done</h1>
            <ul class="listaCompacta">
                <li>Date: ${sessionScope.orderDate}</li>
                <li>PriceFull: ${sessionScope.orderPrice}</li>
                 <c:forEach var="email" items="${sessionScope.emails}">
                  <li>Email: <c:out value="${email}"/></li>
                   </c:forEach>
            </ul>
                 <p>Contact with the owners of each product to know how to paid and get your products!</p>
                <a href="doOrder" >Go to orders</a>
            <!-- end .contenedor --></div>
    </body>
</html>
