<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html lang="EN">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Manage your Products</title>
        <link href="${initParam.css}styles.css" rel="stylesheet" type="text/css">
        <script src="${initParam.js}funciones.js"  type="text/javascript"> </script>
    </head>
    <body>
        <div class="contenedor">
            <header><a href="#"><img src="${initParam.imagePath}banner.jpg" alt="Banner" title="Banner" width="960" height="134" id="banner" /></a>
                <div id="bar">
                    <nav>
                        <ul>
                            <li><a href="index">Index</a></li>
                            <li><a class="active" href="#">Login/Logout</a></li>
                            <li><a href="register">Register</a></li>
                            <li><a href="addProducts">AddProducts</a></li>
                            <li><a href="manageProducts">ManageProducts</a></li>
                            <li><a href="doOrder">Orders</a></li>
                        </ul>
                    </nav>
                </div>
            </header>
            <div class="barraLateral">
                <aside>
                    <p class="destaca">Partners</p>
                    <ul id="partners">
                        <li><a href="#"><img src="${initParam.imagePath}logo000webhost.png" alt="Logo 000" title="WebFileHosting000" width="150" height="44" id="logo000"  /></a></li>
                        <li><a href="#"><img src="${initParam.imagePath}Logowebestilo.gif" alt="Logo WebEstilo" title="Logo WebEstilo" width="150" height="44" id="logoEstilo"/></a></li>
                    </ul>
                </aside>
                <!-- end .barra1--></div>
            <article class="content">
                <h1>Login/Logout</h1>
                <section>
                    <h2>Form</h2>
                    <c:choose>
                        <c:when test="${empty sessionScope.login}">
                            <div class="marginl15"><p>Fill if you need the next form to access:</p>
                                <form action="flogin" method="POST" name="flogin" onsubmit="return validarLogin()">
                                    <table id="accesoTable" title="accesoTable">

                                        <tr>
                                            <td>Login:</td>
                                            <td><input title="login" name="login" type="text" maxlength="8" placeholder="Your login"></td>
                                        </tr>
                                        <tr>
                                            <td>Password:</td>
                                            <td><input title="password" name="password" maxlength="20" type="password" placeholder="Your password"></td>
                                        </tr>
                                        <tr>
                                            <td><input type="submit" value="Send"></td>
                                        </tr>
                                    </table>
                                </form>
                                <c:if test="${!empty sessionScope.errorLogin}">
                                    <p>
                                        ${sessionScope.errorLogin}
                                    </p>
                                    <c:remove var="errorLogin"></c:remove>
                                </c:if>
                                     <c:if test="${!empty sessionScope.goodRegister}">
                                    <p>
                                        ${sessionScope.goodRegister}
                                    </p>
                                    <c:remove var="goodRegister"></c:remove>
                                </c:if>

                            </div>
                        </c:when>
                        <c:otherwise>
                            <div class="marginl15"><p>You are now looged, Do you want to logout?</p>
                                <form action="logout" method="POST" name="flogout">
                                    <table>
                                        <tr>
                                            <td><input type="submit" value="Logout"></td>
                                        </tr>
                                    </table>
                                </form>
                            </div>
                       </c:otherwise>
                    </c:choose>
                </section>
                <!-- end .content --></article>
            <footer>
                <address>
                    Jos ngel Garca Fernndez.<br>
                    Contact <a href="mailto:basic@gmail.com">basic@gmail.com</a>
                </address>
            </footer>
            <!-- end .contenedor --></div>
    </body>
</html>
